Delete Stateless Resource from Deployment
- DELETE /deployments/{deployment_id}/{stateless_resource_kind}/{ref_id}
Delete Stateless Resource belonging to a given Deployment. Deployment must be shutdown already.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
stateless_resource_kindrequired -
The kind of stateless resource
-
Values:
kibanaapmappsearchenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Responses
Standard Deployment Resource Crud Response
Resource has still instances. (code: deployments.resource_has_instances)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response